Name: H5Pset_deflate
Signature:
  herr_t `H5Pset_deflate`( hid_t `plist`, uint `level` )
Purpose:
  Sets compression method and compression level.
Description:
  `H5Pset_deflate` sets the compression method for a dataset creation property list to `H5D_COMPRESS_DEFLATE` and the compression level to `level`, which should be a value from zero to nine, inclusive.

  Lower compression levels are faster but result in less compression.

  This is the same algorithm as used by the GNU gzip program.

Parameters:

hid_t `plist` | IN: Identifier for the dataset creation property list.
uint `level` | IN: Compression level.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_deflate_f

      SUBROUTINE h5pset_deflate_f(prp_id, level, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(IN)        :: level  ! Compression level
        INTEGER, INTENT(OUT)       :: hdferr ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_deflate_f